Name:		auralquiz
Version:	1.0.0
Release:	%mkrel 5
Summary:	A simple music quiz game for GNU/Linux
License:	GPLv2+
Group:		Games/Other
URL:		https://jancoding.wordpress.com/auralquiz/
Source0:	http://download.savannah.gnu.org/releases/auralquiz/%{name}-v%{version}.tar.gz
Patch0:		auralquiz-v1.0.0-linking.patch

BuildRequires:	qttools5
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(phonon4qt5)
BuildRequires:	pkgconfig(taglib)

Requires:	qt5-common
Recommends:	phonon4qt5-vlc

%description
The game plays short pieces of music files from the player's chosen
folders, and presents a question and several answers about
the current song.
The fastest the answer, the more points the player receives. Up to
8 people can play, in a turn-based mode.
The game is quite complete already, but there are more modes
to be added, and several rough edges to polish.
Auralquiz uses Phonon for sound output.

%prep
%setup -q -n %{name}-v%{version}
%autopatch -p1

# generate French translation file
%{_qt5_bindir}/lrelease translations/auralquiz_fr.ts

%build
%qmake_qt5

%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

%files
%doc CHANGELOG README TRANSLATING
%doc LICENSE
%{_gamesbindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_mandir}/man6/%{name}.6.*


%changelog
* Wed Dec 16 2020 umeabot <umeabot> 1.0.0-5.mga8
+ Revision: 1658144
- Rebuild for new Qt5

* Sat Feb 15 2020 umeabot <umeabot> 1.0.0-4.mga8
+ Revision: 1524565
- Mageia 8 Mass Rebuild

* Sat Mar 30 2019 daviddavid <daviddavid> 1.0.0-3.mga7
+ Revision: 1381593
- add patch to fix phonon4qt5 linking issue
+ umeabot <umeabot>
- Qt5 Rebuild

* Fri Sep 21 2018 umeabot <umeabot> 1.0.0-2.mga7
+ Revision: 1295166
- Mageia 7 Mass Rebuild

* Sun Dec 10 2017 vaci0 <vaci0> 1.0.0-1.mga7
+ Revision: 1181951
-Update new version 1.0.0

* Wed Jul 20 2016 daviddavid <daviddavid> 0.9.0-2.mga6
+ Revision: 1042825
- recommends phonon4qt5-vlc instead of requires phonon-vlc

* Tue Jul 05 2016 daviddavid <daviddavid> 0.9.0-1.mga6
+ Revision: 1038941
- new version: 0.9.0 (fixes mga#18858)
- port to Qt5 now
- add patch to complete French translation
- update files list

* Mon Feb 08 2016 umeabot <umeabot> 0.8.1-6.mga6
+ Revision: 947075
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.8.1-5.mga5
+ Revision: 739170
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.8.1-4.mga5
+ Revision: 678050
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.8.1-3.mga4
+ Revision: 502971
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 0.8.1-2.mga3
+ Revision: 346607
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jun 13 2012 juancho <juancho> 0.8.1-1.mga3
+ Revision: 260172
- Updated to 0.8.1

* Tue Feb 14 2012 juancho <juancho> 0.8-1.mga2
+ Revision: 208604
- Added missing BR taglib-devel
- Updated to 0.8
- Removed patch auralquiz_fix_desktop_file.diff

* Sun Sep 25 2011 juancho <juancho> 0.6-1.mga2
+ Revision: 147829
- Added missing patch
- Fixed bad comment on desktop file.
- Added missing BuildRequires: imagemagick
- Changed in %%files multiple files for a wildcard.
+ vaci0 <vaci0>
- Fix Requires phonon-backend
- imported package auralquiz

